﻿@import "variables.css";

/*Macht den Rahmen des DropDown Elements transparent*/
.pager-dropdown {
    border: none;
    background-color: transparent;
}

.details-item-css {
    padding: 10px;
}

.dxControl {
    float: left;
}

#sortable {
    /*list-style-type: none;*/
    margin: 0;
    padding: 0px 0px 0px 15px;
    width: 100%;
}

#sortable li {
    margin: 0 3px 10px 0px;
    padding: 15px;
    box-shadow: 0px 1px 4px 0px rgba(0, 0, 0, 0.1);
    font-size: 14px;
    border: 1px solid #E5E5E5;
    background-color: #ffffff;
}

#sortable li:hover {
    background-color: #f7f7f7;
    cursor: all-scroll;
}

#sortable li span {
    position: absolute;
    margin-left: -1.3em;
}

.ui-state-highlight {
    height: 100px;
    line-height: 1.2em;
    background-color: #ffffff !important;
    border: 2px dashed rgba(51, 51, 51, 0.1) !important;
    box-shadow: none !important;
}

li.ui-state-default.ui-sortable-handle::marker {
    /*font-weight: bold;*/
    color: #0B1733;
}

.dxpLite .dxp-dropDownButton {
    padding: 6px 3px 0px;
    border: none;
    background: unset !important;
}

.dxpLite .dxp-comboBox {
    background-color: var(--transparent) !important;
    border: none !important;
}

.dxpLite .dxp-ellip {
    color: var(--basic-color-light);
}

.dxpLite .dxp-summary {
    color: var(--basic-color-light);
}

.dxpDropDown input {
    background-color: Yellow !important;
}

.dxpLite .dxp-current {
    color: var(--dark-blue);
    text-decoration: none;
    font-weight: bold;
    padding: 3px 3px 2px;
}

/*Icons*/
.dxbButton[class~="dxgvCommandColumnItem"] {
    margin: 0px 2px 0px 2px;
}

.dxpLite .dxp-num {
    color: var(--black) !important;
    /*padding: 3px 5px 2px;*/
    padding: 0px 5px 2px;
}

.dxpLite {
    font: 14px var(--font-basic);
}

.dxeButtonEditSys td.dxic {
    padding: 0;
}

.dxpnlControl {
    font-size: 16px;
    font-family: var(--font-basic);
}

.dxflFormLayout {
    font-family: var(--font-basic) !important;
    font-size: 20px;
}

.dxbDisabled:hover {
    color: var(--font-color-disabled) !important;
}
/**navigationsmenü*/
.dxnb-header {
    background-color: var(--background-menu) !important;
    width: var(--navigation-width);
    padding: 15px 15px 15px 37px;
    border: none !important;
    color: var(--white) !important;
    font-family: var(--font-basic) !important;
    font-weight: 400;
}

.dxnb-header :nth-child(1) {
    /*border-top: 1px solid var(--white;*/
}

.dxnb-header a {
    color: var(--white);
    text-decoration: none;
    font-size: 14px;
    font-family: var(--font-basic) !important;
    font-weight: 700;
    text-transform: uppercase;
}

.dxnbLite .dxnb-header {
    padding: 15px 15px 15px 37px;
}

.dxnbLite .dxnb-headerCollapsed {
    padding: 15px 15px 15px 44px;
}

.dxnb-headerCollapsed {
    background-color: var(--background-menu) !important;
    border: none !important;
    padding: 15px 15px 15px 44px;
    font-family: "Open Sans", sans-serif !important;
    font-weight: 400;
    min-height: 80px;
}

.dxnb-headerCollapsed a {
    color: var(--white);
    text-decoration: none;
    font-size: 14px;
    font-family: var(--font-basic) !important;
    font-weight: 700;
    text-transform: uppercase;
}

.dxnbLite .dxnb-headerCollapsed {
    border: none;
    font-weight: bold;
    white-space: nowrap;
}

.dxnbLite .dxnb-headerCollapsed a {
    color: var(--white);
}

/**Navigation gruppe mit unterlinks*/
.dxnb-gr {
    width: var(--navigation-width);
    background-color: rgba(51, 51, 51, 0.1) !important;
    border-right: none !important;
    border-bottom: none !important;
    border-left: none !important;
    font-family: var(--font-basic) !important;
    font-weight: 400;
    min-height: 62px;
}

.dxucBrowseButton {
    border: none;
    background: none;
    color: var(--white);
    background-color: var(--basic-color-light);
    border-bottom-right-radius: var(--vrn-border-radius);
    border-top-right-radius: var(--vrn-border-radius);
}

.dxrpControl, .dxrpControlGB {
    border-collapse: unset !important;
    border-radius: 12px;
}

.dxucControl .dxucBrowseButton a {
    color: var(--white);
}


.dxrpControl {
    /*margin: 0 20px 20px 0;*/
    margin: 0 0 20px 0;
}

.dxrpControl td.dxrpHeader {
    color: var(--white);
    border: none;
}

.dxucTextBox {
    border: 1px solid var(--basic-color-dark);
}

.dxucTextBox :first-child {
    border: 1px solid var(--basic-color-dark);
    border-bottom-left-radius: 12px;
    border-top-left-radius: 12px;
}

/**Navigation*/
.dxnbLite .dxnb-content {
    background-color: var(--background-menu) !important;
    color: var(--white);
    border: none;
    font-family: var(--font-basic) !important;
    font-weight: 700;
    padding: 5px 5px 5px 30px;
    font-size: 14px;
    line-height: 40;
}

.dxnbLite .dxnb-gr {
    margin-bottom: 0;
}

.dxnbLite a {
    color: var(--white);
    text-transform: uppercase;
}

.dxnbLite .dxnb-itemSelected {
    background-color: var(--headline-color);
    border: none;
    color: var(--white) !important;
    font-family: var(--font-basic) !important;
    font-weight: 700;
    line-height: 40;
}
/*Menu Item Selected /Active*/
.dxnbLite .dxnb-itemSelected a {
    color: var(--molytix-green) !important;
}

.dxnbLite .dxnb-largeSelected {
    background-color: var(--basic-color-light);
    border: none;
    color: var(--basic-color-dark) !important;
    font-family: var(--font-basic) !important;
    font-weight: 400;
}

.dxnbLite .dxnb-itemHover {
    border: none;
    width: var(--navigation-width);
    color: var(--white);
    background: none;
    background-color: transparent;
}

.dxnbLite .dxnb-header a {
    text-decoration: none;
    color: var(--white);
    text-transform: uppercase;
}

.dxnbLite .dxnb-headerCollapsed a {
    text-decoration: none;
    text-transform: uppercase;
    color: var(--white) !important;
}

.dxnb-link {
    color: var(--white);
}

.dxnb-link :hover {
    color: var(--white);
    border: none;
}

.dxnb-item {
    margin-left: 10px;
}

.dxnb-base {
    font-weight: bold;
}

dxeButtonEdit {
    font-display: var(--font-basic) !important;
    font-size: 16px;
}

.dxeButtonEditButton, .dxeSpinLargeIncButton, .dxeSpinLargeDecButton {
    background-image: none;
    background: unset;
    background-color: transparent;
    border: none;
}

.dropdown-texfield {
    border-top-left-radius: unset !important;
    border-top-right-radius: unset !important;
}

.dxeButtonEditButton, .dxeCalendarButton, .dxeSpinIncButton, .dxeSpinDecButton, .dxeSpinLargeIncButton, .dxeSpinLargeDecButton, .dxeColorEditButton {
    border: none;
}

.dxpc-shadow {
    box-shadow: none;
}

.dxmLite .dxm-main {
    border: 2px solid var(--basic-color-dark);
    background-color: transparent;
    padding: 2px;
    border-radius: var(--vrn-border-radius);
}

.dxeListBox {
    border: 1px solid var(--basic-color-light);
    border-radius: var(--vrn-border-radius);
}

.dxgvSearchPanel {
    border: none;
    padding: 7px 7px 7px 0;
}

.dxgvSelectedRow {
    color: var(--black);
    font-weight: bold;
}

.dxeButtonEdit {
    font-family: var(--font-basic) !important;
    border: 1px solid var(--molytix-grey-forms-border);
    border-radius: var(--vrn-border-radius);
    padding: 10px 15px 10px 18px;
    line-height: 30px;
    background-color: var(--molytix-grey-forms);
    height: 30px;
    margin-bottom: 5px;
}

.dxeButtonEdit .dxeEditArea {
    background-color: transparent;
}

.TextBoxMargin {
    margin-bottom: 5px;
}

.dxeMemo {
    background-color: var(--white);
    border: 1px solid var(--soft-grey);
    font: 12px var(--font-basic);
    margin-bottom: 5px;
}

.dxeMemoSys textarea {
    box-sizing: border-box;
    background-color: #f3f3f3;
}
/**Border für dx Elemente*/
.dxeButtonEditButton img {
    vertical-align: baseline;
    width: 14px;
    height: 13px;
}
/**Tabelle-Rahmen austauschen */
.dxgvTable {
    border: none !important;
    font-size: 14px !important;
    background-color: transparent;
}

/*.dxgvTitlePanel, .dxgvTable caption {
    font-size: 1.25em;
    font-weight: normal;
    padding: 3px 3px 20px;
    text-align: left;
    background-color: var(--light-grey);
    color: var(--black);
    border-bottom: none !important;
}*/

/*Tabellen HEader*/
.dxgvHeader {
    background-color: var(--light-grey) !important;
    border: none !important;
    border-top: 1px solid var(--soft-grey) !important;
    border-bottom: 1px solid var(--soft-grey) !important;
    padding: 13px 10px 13px;
    text-align: left;
}

.dxgvHeader table {
    color: var(--black) !important;
    font-weight: bold;
    text-align: center !important;
}

.dxgvDataRow:nth-child(1n+1) {
    background-color: var(--light-grey);
}

.dxgvDataRow:nth-child(2n+1) {
    background-color: var(--white);
}

.dxgvEditFormDisplayRow td.dxgv, .dxgvDetailCell td.dxgv, .dxgvDataRow td.dxgv, .dxgvDetailRow.dxgvADR td.dxgvAIC {
    border-bottom: 1px solid var(--soft-grey) !important;
    border-right: none;
    padding: 13px 10px 13px;
}
/**Tabelle! Hintergrundfarbe*/

.dxgvControl, .dxgvDisabled {
    font-size: 16px !important;
    font-family: var(--font-basic) !important;
    color: var(--black) !important;
    padding: 15px;
    background-color: var(--light-grey);
    border: 1px solid var(--soft-grey);
    border-radius: var(--vrn-border-radius);
    box-shadow: var(--shadow);
}

.dxgvControl {
    background-color: var(--white);
}

.dxmLite .dxm-horizontal.dxmtb .dxm-image-l .dxm-noImage .dxm-content {
    padding: 5px 10px;
    background-color: var(--ideenfabrik);
    border: none !important;
    border-radius: 3px;
    color: var(--white);
}

a.dxbButton .dxbDisabled {
    background-color: var(--btn-disabled) !important;
    padding: 10px 20px;
    color: var(--font-color-disabled) !important;
    border-radius: var(--vrn-border-radius);
    background-image: none;
    border: 1px solid var(--border-color) !important;
}

.dxbDisabled {
    background-color: var(--molytix-green-disabled) !important;
    padding: 10px 20px;
    color: var(--font-color-disabled) !important;
    border-radius: var(--vrn-border-radius);
    background-image: none;
    border: 1px solid var(--molytix-grey-btn-border) !important;
    font-size: 16px !important;
    font-weight: 700;
    text-transform: uppercase;
}

.dxbDisabled.dxb-outline {
    padding: 5px;
    box-shadow: none !important;
}

.dxbButton.dxb-outline {
    background: var(--molytix-green);
    border: 1px solid var(--molytix-grey-btn-border);
    border-radius: var(--vrn-border-radius);
    color: var(--black);
    padding: 5px;
    font-size: 16px !important;
    box-shadow: var(--shadowBTN);
    font-weight: 700;
    text-transform: uppercase;
}

.dxgvStatusBar {
    border: none !important;
    margin-top: 20px !important;
    float: right;
    width: auto !important;
}

.dxgvStatusBar .dxgvCommandColumn a {
    background-color: var(--molytix-green);
    color: var(--white);
    font-family: var(--font-basic) !important;
    padding: 10px 20px;
    border-radius: var(--vrn-border-radius);
    font-size: 16px !important;
    text-decoration: none;
    margin-left: 20px !important;
    margin-right: 0 !important;
}

.dxgvStatusBar tr.dxgv > td {
    padding: 0px;
}


.dxgvCommandColumn {
    padding: 0px;
}

.cmd-btn {
    margin-bottom: 7px;
}

.margin-top-40 {
    margin-top: 40px;
}

.dxgvPagerBottomPanel {
    float: left;
    margin-top: 20px;
}

.dxbButton {
    background-image: none;
}

.dxbButton .dxbButtonSys {
    background-color: var(--basic-color-light);
    padding: 10px 20px;
    color: var(--white);
    border-radius: var(--vrn-border-radius);
}


.dxflTextEditItemSys .dxflVATSys.dxflCaptionCell, .dxflViewFormLayoutSys .dxflItemSys .dxflVATSys.dxflCaptionCell, .dxflViewFormLayoutSys .dxflItemSys .dxflNestedControlCell {
    color: var(--basic-color-light);
}


.dxgvFocusedCell {
    box-shadow: none;
    margin-top: 2px;
    padding-top: 10px;
}

.dxmLite {
    /*float: left;*/
    float: none;
}

.dxICheckBox {
    /*margin-left: 10px;*/
}
/**Export toolbar*/
.dxgvControl .dxctToolbar.dxm-main.dxgvCTTop {
    border-bottom: none;
}

.dxgvControl .dxctToolbar.dxm-main {
    background-color: var(--transparent);
}
/*Label von Formularfeldern*/
.dx-textbox {
    background-color: transparent;
    border: 2px solid var(--basic-color-dark);
    width: 100%;
    border-bottom-left-radius: var(--vrn-border-radius);
    border-bottom-right-radius: var(--vrn-border-radius);
    line-height: 30px;
    padding: 10px;
}

.dxeTextBox .dxeEditArea {
    background-color: transparent;
    border: none;
}

.dxeTextBox {
    border: 1px Solid var(--soft-grey);
    padding: 0;
    line-height: 30px;
    background-color: var(--white);
    margin-bottom: 5px;
}

.dxeTextBoxSys td.dxic {
    overflow: hidden;
    height: 25px;
    padding: 10px 15px 10px 18px;
    background-color: #f3f3f3;
}

.dxeCaption {
    font-size: 14px;
}

.KontaktAnlegenHeader {
    font-size: 16px;
    font-weight: bold;
    margin-top: 30px;
    margin-bottom: 30px;
    padding-top: 10px;
}

.KontaktAnlegenLabel {
    font-size: 16px;
    color: var(--black);
    float: left;
    display: block;
    width: 210px !important;
    line-height: 23px;
}

.LabelProjektListe {
    color: var(--black);
    float: left;
    display: block;
    max-height: 115px;
    overflow-y: auto;
    width: 310px;
}

.clear {
    clear: both;
}
/*Buttons*/
.ButtonsGruppe {
    margin: 40px 0;
    float: right;
}

.btn {
    border: 1px Solid var(--vrn-grey);
    padding: 0;
    background-color: var(--vrn-grey);
    font-size: 14px;
    border-radius: 0 !important;
}

.btnAdresse {
    margin-bottom: 40px;
}

.dxeMemoEditAreaSys, input[type="text"].dxeEditAreaSys, input[type="password"].dxeEditAreaSys {
    display: block;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    -webkit-transition: none;
    -moz-transition: none;
    -o-transition: none;
    transition: none;
    -webkit-border-radius: 0px;
    -moz-border-radius: 0px;
    border-radius: 0px;
    font-size: 14px;
}
/*Drag and Drop*/
.dropZoneExternal > div,
.dropZoneExternal > img {
    position: absolute;
}

.dropZoneExternal {
    position: relative;
    border: 1px dashed var(--basic-color-light) !important;
    cursor: pointer;
}

.dropZoneExternal,
.dragZoneText {
    width: 100%;
    max-width: 160px;
    min-width: 140px;
    height: 207px;
    margin-top: 30px;
}

#dragZone {
    width: 100%;
    display: table;
}

#uploadedImage {
    width: 100%;
}

.dropZoneText {
    width: 300px;
    height: 150px;
    color: var(--white);
    background-color: var(--basic-color-light);
}

#dropZone {
    top: 0;
    padding: 100px 25px;
}

.uploadControlDropZone,
.hidden {
    display: none;
}

.dropZoneText,
.dragZoneText {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    font-size: 12px;
}

.dragZoneText {
    color: var(--font-color-light);
}

.dxucInlineDropZoneSys span {
    color: var(--white) !important;
    font-size: 10pt;
    font-weight: normal !important;
}

.validationMessage {
    padding: 0 20px;
    text-align: center;
}

.uploadContainer {
    width: 100%;
    max-width: 350px;
    min-width: 286px;
    margin-top: 10px;
}

.Note {
    max-width: 500px;
}

.dxgvControl a {
    color: var(--blue) !important;
}

.dxgvControl a:hover {
    color: var(--link) !important;
}

.dxnbLite .dxnb-headerCollapsed a {
    text-decoration: none;
    color: var(--black);
}

.dxnbLite .dxnb-headerCollapsed a:hover {
    text-decoration: none;
    color: var(--blue);
}

.dxnbLite .dxnb-item.dxnb-link, .dxnbLite .dxnb-item .dxnb-link {
    padding: 5px 5px 5px 20px;
    white-space: nowrap;
    background-color: var(--background-menu);
    color: var(--light-grey);
}

.dxnbLite .dxnb-btn {
    float: right;
    /*margin: 5px 0 0 4px;*/
}

.dxgvFooter td.dxgv {
    /*padding: 5px 6px 6px;*/
    padding: 13px 10px;
    border-bottom: 1px Solid var(--light-grey);
    border-right-width: 0;
    background-color: var(--light-grey);
}
/*Tabelle Ideenfabrik*/
.dxpgBottomPager {
    border-top: solid 1px var(--tabelle-ideenfabrik-border);
    border-bottom: none;
    border-right: none;
    border-left: none;
    background-color: var(--white);
    padding-bottom: 2px;
    padding-top: 20px;
}

.dxpgRowFieldValue {
    background-color: var(--white);
    border: solid 1px var(--soft-grey);
    border-left-style: none;
    border-bottom-style: none;
    border-right-style: solid;
    border-top-style: solid;
    padding: 3px 6px 4px 6px;
    font-weight: normal;
    text-align: left;
}

.dxpgColumnFieldValue {
    background-color: var(--blue);
    color: var(--white);
    border: solid 1px var(--tabelle-ideenfabrik-border);
    border-left-style: solid;
    border-bottom: 1px solid var(--soft-grey);
    border-right-style: none;
    border-top-style: none;
    padding: 4px 6px;
    font-weight: normal;
    text-align: left;
}

.dxpgControl {
    color: Black;
    font: 14px var(--font-basic);
    border: solid 1px var(--border-color);
    background-color: white;
    padding: 15px;
}

.dxpgRowTotalFieldValue {
    background-color: var(--light-grey);
    border-left-style: none;
    border-bottom-style: none;
    border-right-style: solid;
    border-top-style: solid;
}

.dxpgGrandTotalCell {
    background-color: var(--light-grey);
}

.dxpgColumnGrandTotalFieldValue {
    background-color: var(--blue);
    border-left-style: solid;
    border-bottom-style: solid;
    border-right-style: none;
    border-top-style: none;
}

.dxpgFilterArea {
    background-color: var(--white) !important;
    border-bottom-style: solid;
}

.dxpgArea {
    border: solid 1px var(--tabelle-ideenfabrik-border);
    background-color: var(--light-grey);
    border-left-style: none;
    border-top-style: none;
    border-bottom-style: none;
    border-right-style: none;
}
/*Buttons in der Tabelle*/
.dxpgHeader {
    border: none !important;
    color: var(--white);
    background-color: var(--ideenfabrik);
    cursor: pointer;
    white-space: nowrap;
    text-align: left;
    font-family: "Open Sans", sans-serif;
}

.dxpgHeaderText {
    padding: 5px 10px;
}

.dxgvRBB .dxgvEmptyDataRow.dxgvLVR > td.dxgv {
    border-bottom-width: 0px !important;
    background-color: var(--light-grey);
}

.dxgvEmptyDataRow > td.dxgv {
    background-color: var(--light-grey);
}
/*Dashboard Mitarbeiter:*/
.dxrpControl:not(.dxrp-hasDefaultImages) .dxrpHeader {
    border: 0;
    border-radius: 0;
    background-color: var(--ideenfabrik);
    box-shadow: var(--shadow);
}

.dxrpControl td.dxrpHeader span.dxrpHT {
    color: var(--white);
}

.margin-right-10 {
    margin-right: 10px;
}

.dxpLite .dxp-dropDownButton {
    padding: 3px 3px 0px;
    border: none;
    background: unset !important;
}

.dxgvEditForm > td.dxgv {
    border-bottom: 0px Solid var(--soft-grey);
    padding: 8px 10px 10px;
    background-color: var(--light-grey);
}
/*Dashboard MA:*/
.dxrpCollapsed .dxWeb_rpCollapseButton {
    background-position: -67px -133px;
    width: 15px;
    height: 14px;
}

.dxWeb_rpCollapseButton {
    background-position: -90px -133px;
    width: 15px;
    height: 14px;
}

/*Style DropDown Items*/
.dxpcDropDown {
    font: 12px var(--font-basic) !important;
    margin-top: 20px !important;
}


/*Hoverable DropDown*/
.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: var(--white);
    min-width: 220px;
    box-shadow: var(--shadow);
    z-index: 1;
    margin-top: 12px;
}

.dropdown-content a {
    color: var(--basic-color-dark) !important;
    padding: 10px 16px;
    text-decoration: none;
    display: block;
    font-size: 14px !important;
    border-bottom: 1px solid var(--border-color);
}

.dropdown-content a:hover {
    background-color: var(--light-grey);
    color: var(--blue) !important;
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dxflTextEditItemSys .dxflVATSys.dxflCaptionCell {
    color: var(--black);
}

.dxeBase {
    font: 14px var(--font-basic);
}

.label-write {
    display: none;
}

div#MainContent_ButtonDeleteBullet:hover {
    background-color: #ac5958 !important;
}

div#MainContent_ButtonAddBullet:hover {
    background-color: #3b9362 !important;
}

.alert {
    /*Validation Alert*/
    display: none;
    z-index: 999999;
    box-shadow: 0 1px 4px 0 rgba(0,0,0,.5);
    max-width: 500px;
    float: right;
}
